const {ccclass, property} = cc._decorator;
import BubbleMgr from './BubbleMgr'
import ModuleMgr from '../Module/ModuleMgr'
@ccclass
export default class Bubble extends cc.Component {
    power:number = 0;
    owner:any = null;
    tile:cc.Vec2 = cc.v2(0,0);
    init(tile:cc.Vec2, power:number, owner:any){
        this.owner = owner;
        this.power = power;
        this.tile.x = tile.x;
        this.tile.y = tile.y;
        this.scheduleOnce(this.bomb, 2);
    }
    // onLoad () {}
    //
    bomb(){
        let bubbleMgr = <BubbleMgr>ModuleMgr.getInstance().getModule('BubbleMgr');
        bubbleMgr.toBomb(this);
    }
    start () {

    }

    // update (dt) {}
}
